Assignment
You can assign Chats to Users or Groups.
Get who a Chat is assigned to: a User, a Group, or nobody.
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
^[^/]+$WhatsApp ID — either a phone number in canonical form (e.g. 48123123123) or a Business-Scoped User ID (e.g. US.13491208655302741918) for users who have hidden their phone number.
^([A-Z]{2}\.(ENT\.)?[a-zA-Z0-9]+|[0-9]+)$Business-Scoped User ID for this contact. Populated from the webhook's user_id field. Stable across phone number changes for the same user-portfolio pair, so this is the most reliable long-term identifier.
Phone number when known. Equals wa_id for phone-primary contacts. For BSUID-primary contacts (where wa_id is a BSUID), populated when WhatsApp shares the phone number — e.g. recent interaction within the last 30 days, or via Contact Book.
GET /api/v1/chat_assignment/{wa_id}/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
{
"wa_id": "text",
"bsuid": "text",
"phone_number": "text",
"assigned_to_user": 1,
"assigned_group": 1
}Assign a Chat to yourself or any User or Group
You can remove Chat assignment by passing null value.
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
^[^/]+$WhatsApp ID — either a phone number in canonical form (e.g. 48123123123) or a Business-Scoped User ID (e.g. US.13491208655302741918) for users who have hidden their phone number.
^([A-Z]{2}\.(ENT\.)?[a-zA-Z0-9]+|[0-9]+)$Business-Scoped User ID for this contact. Populated from the webhook's user_id field. Stable across phone number changes for the same user-portfolio pair, so this is the most reliable long-term identifier.
Phone number when known. Equals wa_id for phone-primary contacts. For BSUID-primary contacts (where wa_id is a BSUID), populated when WhatsApp shares the phone number — e.g. recent interaction within the last 30 days, or via Contact Book.
WhatsApp ID — either a phone number in canonical form (e.g. 48123123123) or a Business-Scoped User ID (e.g. US.13491208655302741918) for users who have hidden their phone number.
^([A-Z]{2}\.(ENT\.)?[a-zA-Z0-9]+|[0-9]+)$Business-Scoped User ID for this contact. Populated from the webhook's user_id field. Stable across phone number changes for the same user-portfolio pair, so this is the most reliable long-term identifier.
Phone number when known. Equals wa_id for phone-primary contacts. For BSUID-primary contacts (where wa_id is a BSUID), populated when WhatsApp shares the phone number — e.g. recent interaction within the last 30 days, or via Contact Book.
PUT /api/v1/chat_assignment/{wa_id}/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 56
{
"wa_id": "text",
"assigned_to_user": 1,
"assigned_group": 1
}{
"wa_id": "text",
"bsuid": "text",
"phone_number": "text",
"assigned_to_user": 1,
"assigned_group": 1
}Assign a Chat to yourself or any User or Group
You can remove Chat assignment by passing null value.
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
^[^/]+$WhatsApp ID — either a phone number in canonical form (e.g. 48123123123) or a Business-Scoped User ID (e.g. US.13491208655302741918) for users who have hidden their phone number.
^([A-Z]{2}\.(ENT\.)?[a-zA-Z0-9]+|[0-9]+)$Business-Scoped User ID for this contact. Populated from the webhook's user_id field. Stable across phone number changes for the same user-portfolio pair, so this is the most reliable long-term identifier.
Phone number when known. Equals wa_id for phone-primary contacts. For BSUID-primary contacts (where wa_id is a BSUID), populated when WhatsApp shares the phone number — e.g. recent interaction within the last 30 days, or via Contact Book.
WhatsApp ID — either a phone number in canonical form (e.g. 48123123123) or a Business-Scoped User ID (e.g. US.13491208655302741918) for users who have hidden their phone number.
^([A-Z]{2}\.(ENT\.)?[a-zA-Z0-9]+|[0-9]+)$Business-Scoped User ID for this contact. Populated from the webhook's user_id field. Stable across phone number changes for the same user-portfolio pair, so this is the most reliable long-term identifier.
Phone number when known. Equals wa_id for phone-primary contacts. For BSUID-primary contacts (where wa_id is a BSUID), populated when WhatsApp shares the phone number — e.g. recent interaction within the last 30 days, or via Contact Book.
PATCH /api/v1/chat_assignment/{wa_id}/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 56
{
"wa_id": "text",
"assigned_to_user": 1,
"assigned_group": 1
}{
"wa_id": "text",
"bsuid": "text",
"phone_number": "text",
"assigned_to_user": 1,
"assigned_group": 1
}Assign a Chat to an automatically selected User
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
^[^/]+$WhatsApp ID — either a phone number in canonical form (e.g. 48123123123) or a Business-Scoped User ID (e.g. US.13491208655302741918) for users who have hidden their phone number.
ID of the User this Chat is assigned to
WhatsApp ID — either a phone number in canonical form (e.g. 48123123123) or a Business-Scoped User ID (e.g. US.13491208655302741918) for users who have hidden their phone number.
ID of the User this Chat is assigned to
POST /api/v1/chat_assignment/{wa_id}/auto-assignment/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2
{}{
"wa_id": "text",
"assigned_to_user": 1
}List all Chat assignment events for selected Chat
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
POSIX timestamp.
Returns only events that are older than specified before_time.
This should be used when implementing scroll of the event view from newest to oldest.
Number of results to return per page.
The initial index from which to return the results.
POSIX timestamp.
Returns only events that are at the same timestamp or newer than specified since_time.
Note that, as opposed to before_time param, this param returns messages where timestamp is equal
to the given value.
This should be used when implementing scroll of the event view from oldest to newest.
WhatsApp ID of related Chat
123http://api.example.org/accounts/?offset=400&limit=100http://api.example.org/accounts/?offset=200&limit=100GET /api/v1/chat_assignment_events/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"timestamp": 1,
"wa_id": "text",
"assigned_to_user_set": {
"url": "https://example.com",
"id": 1,
"username": "text",
"first_name": "text",
"last_name": "text",
"email": "name@gmail.com",
"profile": {
"role": "user",
"is_available": true
},
"groups": [
{
"id": 1,
"name": "text"
}
],
"permissions": {
"can_use_tags": true,
"can_read_chats": "all",
"can_write_to_chats": "all"
},
"assigned_wa_ids": [
"text"
]
},
"assigned_to_user_was_cleared": true,
"assigned_group_set": {
"id": 1,
"name": "text"
},
"assigned_group_was_cleared": true,
"done_by": {
"url": "https://example.com",
"id": 1,
"username": "text",
"first_name": "text",
"last_name": "text",
"email": "name@gmail.com",
"profile": {
"role": "user",
"is_available": true
},
"groups": [
{
"id": 1,
"name": "text"
}
],
"permissions": {
"can_use_tags": true,
"can_read_chats": "all",
"can_write_to_chats": "all"
},
"assigned_wa_ids": [
"text"
]
}
}
]
}Last updated
Was this helpful?